"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const record_model_1 = require("../models/record.model");
exports.saveRecordAction = (repository, sqs) => async (req, res, next) => {
    const { data } = req.body;
    const record = new record_model_1.RecordModel();
    record.data = data;
    await repository.save(record);
    const message = {
        type: 'RecordCreated',
        payload: record,
    };
    sqs
        .send(message)
        .then(message => console.log('Message sent:', message))
        .catch(err => console.error('Unable to send message:', err));
    return res.status(201).json({
        result: record,
    });
};
//# sourceMappingURL=save-record.action.js.map